<template>
  <Head>
    <title>Gameanueva - Habit</title>
    <meta
      type="description"
      content="Habit Description"
      head-key="description"
    />
  </Head>
  <h1 class="text-3xl">Habit</h1>
  <p>Please enter the habit you'd like to track below.</p>
  
  <form @submit.prevent="submit">
        <div class="mb-3 mt-1">
          <input
            v-model="form.habit"
            type="habit"
            name="habit"
            id="habit"
            required
          />
          <div v-if="errors.habit" v-text="errors.habit"></div>
        </div>
        <button class="bg-secondary hover:bg-tertiary" type="submit">Submit Habit</button>
      </form>
</template>

<script setup>
import { useForm } from "@inertiajs/inertia-vue3";
let form = useForm({
  habit: "",
});
defineProps({
  errors: Object,
});
let submit = () => {
  form.post("/habit");
};
</script>